Page MenuHomePhabricator

Allow tool maintainers to delete toolinfo via ToolsAdmin
Closed, ResolvedPublic

Description

Mail conversation between @Urbanecm and @bd808

On Sat, Jun 23, 2018 at 6:39 AM, Martin Urbanec
<martin.urbanec@wikimedia.cz> wrote:
> Hello Bryan,
>
> how can I delete a toolinfo file I created via Toolsadmin? I created
> https://toolsadmin.wikimedia.org/tools/id/harvesting-data-rafinery/info/id/360/edit
> and
> https://toolsadmin.wikimedia.org/tools/id/harvesting-data-refinery/info/id/373/edit
> which were duplicates to each other. The lattter is up to date, under
> correct tool with correct spelling and the first should be deleted somehow.
> I don't see this possibility in Toolsadmin.

I don't remember adding a delete function, so there probably is not
one. Can you create a phabricator task for this and tag it with the
#striker project?

Bryan

Event Timeline

Urbanecm created this task.Jun 25 2018, 3:12 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 25 2018, 3:12 PM
Urbanecm moved this task from Backlog to Watching on the User-Urbanecm board.Jun 25 2018, 3:13 PM
Vvjjkkii renamed this task from Allow tool maintainers to delete toolinfo via ToolsAdmin to 5baaaaaaaa.Jul 1 2018, 1:01 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
ToBeFree updated the task description. (Show Details)Jul 1 2018, 2:37 AM
Krenair updated the task description. (Show Details)Jul 1 2018, 2:38 AM
JJMC89 renamed this task from 5baaaaaaaa to Allow tool maintainers to delete toolinfo via ToolsAdmin.Jul 1 2018, 2:39 AM
JJMC89 raised the priority of this task from High to Needs Triage.
JJMC89 added a subscriber: Aklapper.

Until this is resolved, perhaps marking the records with an "unlisted" tag and adding a script or style to the list pages to hide records containing those tags might be a reasonable temporary measure.

I'm trying to decide if the delete action should actually be a hard delete of the record from the database or if we should take a more wiki-like approach and make delete toggle a status on the backing record that would allow it to be undeleted at some point if desired. A plain delete is likely less implementation work, but I'm not sure how user friendly it would be. If we do go with a full delete there should be a confirmation required of the user to help protect against mis-clicked buttons.

bd808 triaged this task as Medium priority.Jul 24 2020, 12:24 AM
bd808 moved this task from Backlog to Needs Discussion on the Striker board.
bd808 moved this task from Needs Discussion to Doing on the Striker board.Jul 28 2020, 10:57 PM

I'm trying to decide if the delete action should actually be a hard delete of the record from the database or if we should take a more wiki-like approach and make delete toggle a status on the backing record that would allow it to be undeleted at some point if desired. A plain delete is likely less implementation work, but I'm not sure how user friendly it would be. If we do go with a full delete there should be a confirmation required of the user to help protect against mis-clicked buttons.

For now I decided to go with a full delete behind a confirmation screen. Getting the user interface right for soft deletes was more effort than I have time for right now. It seems better to allow deleting than to wait for time to design and implement a really nice user experience for undeleteing.

For now I decided to go with a full delete behind a confirmation screen. Getting the user interface right for soft deletes was more effort than I have time for right now. It seems better to allow deleting than to wait for time to design and implement a really nice user experience for undeleteing.

It seems that the library I'm using for model versioning (used for diffs and reverts) keeps full history on delete too, so deleted toolinfo records will be recoverable, the UI for doing that is just missing in what I'm going to implement first. See https://django-reversion.readthedocs.io/en/stable/api.html#restoring-deleted-model-instances

Change 616947 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker@master] Add ability to delete toolinfo records

https://gerrit.wikimedia.org/r/616947

bd808 claimed this task.Jul 28 2020, 11:21 PM
Restricted Application added a project: User-bd808. · View Herald TranscriptJul 28 2020, 11:21 PM

Change 616947 merged by jenkins-bot:
[labs/striker@master] Add ability to delete toolinfo records

https://gerrit.wikimedia.org/r/616947

bd808 moved this task from To Do to Needs Review/Feedback on the User-bd808 board.Aug 3 2020, 1:10 AM

Change 623075 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker/deploy@master] Bump striker and wheels sub modules

https://gerrit.wikimedia.org/r/623075

Change 623075 merged by jenkins-bot:
[labs/striker/deploy@master] 2020-09-02 release

https://gerrit.wikimedia.org/r/623075

Mentioned in SAL (#wikimedia-operations) [2020-09-02T21:46:25Z] <bd808@deploy1001> Started deploy [striker/deploy@3c2090a]: Deploying r20200902 tag (T198114, T223610, T245804, T144111, T261810)

bd808 closed this task as Resolved.Wed, Sep 2, 10:11 PM